(defun c:edificio ()
  (setq building-height 3.0) ; height of the building in meters (change as desired)
  (setq building-width 4.0) ; width of the building in meters (change as desired)
  (setq pillar-height 3.0) ; height of the pillars in meters (change as desired)
  (setq pillar-section 0.30) ; section size of the pillars in meters (change as desired)
  (setq num-floors 3) ; number of floors in the building (change as desired)
  (setq slab-thickness 0.4) ; thickness of the slabs in meters (change as desired)
  
  ; Prompt for the base point of the building
  (setq base-point (getpoint "\nEnter the base point of the building: "))

  ; Draw the base of the building as a square
  (setq corner-1 base-point)
  (setq corner-2 (polar base-point 0 building-width))
  (setq corner-3 (polar base-point pi building-width))
  (setq corner-4 (polar base-point (* 3 (/ pi 2)) building-width))
  (command "_3dface" corner-1 corner-2 corner-3 corner-4 "")

  ; Draw pillars at the corners of the base
  (setq corner-1 (polar base-point 0 (* 0.5 building-width)))
  (setq corner-2 (polar corner-1 pi pillar-section))
  (setq corner-3 (polar corner-2 (/ pi 2) pillar-section))
  (setq corner-4 (polar corner-1 (/ pi 2) pillar-section))
  (repeat 4
    (command "_3dface" corner-1 corner-2 corner-3 corner-4 "")
    (setq corner-1 (polar corner-1 pi building-width))
    (setq corner-2 (polar corner-1 pi pillar-section))
    (setq corner-3 (polar corner-2 (/ pi 2) pillar-section))
    (setq corner-4 (polar corner-1 (/ pi 2) pillar-section))
  )

  ; Draw the floors and slabs
  (setq floor-height (/ building-height num-floors))
  (setq corner-1 (polar base-point 0 (* 0.5 building-width)))
  (setq corner-2 (polar corner-1 0 slab-thickness))
  (setq corner-3 (polar corner-2 (/ pi 2) pillar-section))
  (setq corner-4 (polar corner-1 (/ pi 2) pillar-section))
  (setq z-height 0.0) ; initial z-height
  (repeat num-floors
    (setq corner-5 (polar corner-1 0 floor-height))
    (command "_3dface" corner-1 corner-2 corner-3 corner-4 "")
    (command "_3dface" corner-1 corner-4 corner-3 corner-5 "")
    (setq corner-1 corner-5)
    (setq corner-2 (polar corner-1 0 slab-thickness))
    (setq corner-3 (polar corner-2 (/ pi 2) pillar-section))
    (setq corner-4 (polar corner-1 (/ pi 2) pillar-section))
    (setq z-height (+ z-height floor-height)) ; increment z-height for each floor
  )
)
